MysqlndUhConnection::getServerVersion
MysqlndUhConnection::getStatistics
MysqlndUhConnection
PHP Manual

# MysqlndUhConnection::getSqlstate

(PECL mysqlnd-uh >= 1.0.0-alpha)

MysqlndUhConnection::getSqlstate — Returns the SQLSTATE error from previous MySQL operation

### Description

public string MysqlndUhConnection::getSqlstate ( mysqlnd_connection `$connection` )

Returns the SQLSTATE error from previous MySQL operation.

### Parameters

`connection`

  Mysqlnd connection handle. Do not modify!

### Return Values

The SQLSTATE code.

### Examples

Example #1 MysqlndUhConnection::getSqlstate() example

`<?php
class proxy extends MysqlndUhConnection {
public function getSqlstate($res) {
printf("%s(%s)\n", __METHOD__, var_export(func_get_args(), true));
$ret = parent::getSqlstate($res);
printf("%s returns %s\n", __METHOD__, var_export($ret, true));
return $ret;
}
}
mysqlnd_uh_set_connection_proxy(new proxy());
$mysqli = new mysqli("localhost", "root", "", "test");
var_dump($mysqli->sqlstate);
$mysqli->query("AN_INVALID_REQUEST_TO_PROVOKE_AN_ERROR");
var_dump($mysqli->sqlstate);
?>`

The above example will output:

    proxy::getSqlstate(array (
      0 => NULL,
    ))
    proxy::getSqlstate returns '00000'
    string(5) "00000"
    proxy::getSqlstate(array (
      0 => NULL,
    ))
    proxy::getSqlstate returns '42000'
    string(5) "42000"

### See Also

- mysqlnd_uh_set_connection_proxy() - Installs a proxy for mysqlnd connections
- mysqli_sql_state()

MysqlndUhConnection::getServerVersion
MysqlndUhConnection::getStatistics
MysqlndUhConnection
PHP Manual